import { PropType } from 'vue';
import { DataRectangle, DrawRectangle } from "./types";
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: PropType<DataRectangle[][]>;
        required: false;
        default: () => never[];
    };
    draw: {
        type: PropType<DrawRectangle | null>;
        required: false;
        default: null;
    };
    file: {
        type: StringConstructor;
        required: true;
    };
    zoom: {
        type: NumberConstructor;
        required: false;
        default: () => number;
    };
    page: {
        type: NumberConstructor;
        required: false;
        default: () => number;
    };
}, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "update:draw" | "total-pages" | "current-page" | "object-dblclick" | "object-selected" | "canvas-ready")[], "update:modelValue" | "update:draw" | "total-pages" | "current-page" | "object-dblclick" | "object-selected" | "canvas-ready", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<DataRectangle[][]>;
        required: false;
        default: () => never[];
    };
    draw: {
        type: PropType<DrawRectangle | null>;
        required: false;
        default: null;
    };
    file: {
        type: StringConstructor;
        required: true;
    };
    zoom: {
        type: NumberConstructor;
        required: false;
        default: () => number;
    };
    page: {
        type: NumberConstructor;
        required: false;
        default: () => number;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onUpdate:draw"?: ((...args: any[]) => any) | undefined;
    "onTotal-pages"?: ((...args: any[]) => any) | undefined;
    "onCurrent-page"?: ((...args: any[]) => any) | undefined;
    "onObject-dblclick"?: ((...args: any[]) => any) | undefined;
    "onObject-selected"?: ((...args: any[]) => any) | undefined;
    "onCanvas-ready"?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: DataRectangle[][];
    draw: DrawRectangle | null;
    zoom: number;
    page: number;
}>;
export default _default;
